javaxp
Automotive
- Jul 14, 2014
- 43
Hi,
I need to get the curves (splines) from a feature text that I've created with a textBuilder.
Recording a journal I get the next code:
In my program :
How can I replace the "text1.FindObject("CURVE 8 {9 (357.9020621071018,110.47607421875,-30.7999999999999)" or the "XXXXXXXX" in my program?
Thanks in advance,
Javier
NX 12.0.2.9 MP14
I need to get the curves (splines) from a feature text that I've created with a textBuilder.
Recording a journal I get the next code:
Code:
Dim features2(0) As NXOpen.Features.Feature
Dim text1 As NXOpen.Features.Text = CType(displayPart.Features.FindObject("TEXT(25)"), NXOpen.Features.Text)
features2(0) = text1
Dim spline1 As NXOpen.Spline = CType(text1.FindObject("CURVE 8 {9 (357.9020621071018,110.47607421875,-30.7999999999999)}"), NXOpen.Spline)
In my program :
Code:
Dim nXObject1 As NXOpen.NXObject = Nothing
nXObject1 = textBuilder1.Commit()
Dim features2(0) As NXOpen.Features.Feature
Dim text1 As NXOpen.Features.Text = CType(nXObject1, NXOpen.Features.Text)
features2(0) = text1
Dim spline1 As NXOpen.Spline = CType(XXXXXXX, NXOpen.Spline)
How can I replace the "text1.FindObject("CURVE 8 {9 (357.9020621071018,110.47607421875,-30.7999999999999)" or the "XXXXXXXX" in my program?
Thanks in advance,
Javier
NX 12.0.2.9 MP14